/**
 * Available config options for end user when making a given request.
 */
export type AjaxRequestConfig = Pick<JQuery.AjaxSettings, "complete" | "beforeSend" | "headers" | "statusCode" | "timeout">;
export declare function getDefaultConfig(config?: AjaxRequestConfig): JQuery.AjaxSettings;
export declare function mergeAjaxConfig(config?: JQuery.AjaxSettings, toMerge?: JQuery.AjaxSettings): {
    headers: {
        [x: string]: string | null | undefined;
    };
    url?: string | undefined;
    accepts?: JQuery.PlainObject<string> | undefined;
    async?: boolean | undefined;
    beforeSend?: ((this: any, jqXHR: JQuery.jqXHR<any>, settings: JQuery.AjaxSettings<any>) => false | void) | undefined;
    cache?: boolean | undefined;
    complete?: JQuery.TypeOrArray<JQuery.Ajax.CompleteCallback<any>> | undefined;
    contents?: JQuery.PlainObject<RegExp> | undefined;
    contentType?: string | false | undefined;
    context?: any;
    converters?: JQuery.PlainObject<true | ((value: any) => any)> | undefined;
    crossDomain?: boolean | undefined;
    data?: string | JQuery.PlainObject<any> | undefined;
    dataFilter?: ((data: string, type: string) => any) | undefined;
    dataType?: string | undefined;
    enctype?: "application/x-www-form-urlencoded" | "multipart/form-data" | "text/plain" | undefined;
    error?: JQuery.TypeOrArray<JQuery.Ajax.ErrorCallback<any>> | undefined;
    global?: boolean | undefined;
    ifModified?: boolean | undefined;
    isLocal?: boolean | undefined;
    jsonp?: string | false | undefined;
    jsonpCallback?: string | ((this: any) => string) | undefined;
    method?: string | undefined;
    mimeType?: string | undefined;
    password?: string | undefined;
    processData?: boolean | undefined;
    scriptCharset?: string | undefined;
    statusCode?: JQuery.Ajax.StatusCodeCallbacks<any> | undefined;
    success?: JQuery.TypeOrArray<JQuery.Ajax.SuccessCallback<any>> | undefined;
    timeout?: number | undefined;
    traditional?: boolean | undefined;
    type?: string | undefined;
    username?: string | undefined;
    xhr?: (() => XMLHttpRequest) | undefined;
    xhrFields?: JQuery.Ajax.XHRFields | undefined;
};
