/// <reference types="jquery/jquerystatic" />
import { HttpResponseModel } from "@odata2ts/http-client-api";
import { BaseHttpClient, BaseHttpClientOptions, HttpMethods } from "@odata2ts/http-client-base";
import { AjaxRequestConfig } from "./AjaxRequestConfig";
import jqXHR = JQuery.jqXHR;
export interface ClientOptions extends BaseHttpClientOptions {
}
export declare class JQueryClient extends BaseHttpClient<AjaxRequestConfig> {
    private clientOptions?;
    private readonly client;
    private readonly config;
    constructor(jquery: JQueryStatic, config?: AjaxRequestConfig, clientOptions?: ClientOptions | undefined);
    protected mapHeaders(jqXhr: jqXHR): Record<string, string>;
    protected addHeaderToRequestConfig(headers: Record<string, string>, config?: AjaxRequestConfig): AjaxRequestConfig;
    protected executeRequest<ResponseModel>(method: HttpMethods, url: string, data: any, requestConfig?: JQuery.AjaxSettings): Promise<HttpResponseModel<ResponseModel>>;
}
